Bug 865296 - Setting OUTPUT_AUTOFLUSH in eval when STDOUT is localized in upper scope leads to segmentation fault
Setting OUTPUT_AUTOFLUSH in eval when STDOUT is localized in upper scope lead...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
https://rt.perl.org:443/rt3/Ticket/Di...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 03:32 EDT by Petr Pisar
Modified: 2012-11-23 02:14 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-23 02:14:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2012-10-11 03:32:58 EDT
This code segfaults:

$ perl -e 'local *STDOUT; eval q[$|=0];'

perl-5.14.2 as well as 5.16.1 are affected.
Comment 1 Fedora Update System 2012-10-18 04:49:01 EDT
perl-5.16.1-233.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-5.16.1-233.fc18
Comment 2 Fedora Update System 2012-10-18 09:52:28 EDT
perl-5.14.3-217.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-5.14.3-217.fc17
Comment 3 Fedora Update System 2012-10-18 11:32:35 EDT
Package perl-5.16.1-233.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.16.1-233.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16405/perl-5.16.1-233.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-11-06 04:31:16 EST
perl-5.16.2-234.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-5.16.2-234.fc18
Comment 5 Fedora Update System 2012-11-23 02:14:55 EST
perl-5.16.2-234.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.